<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::meta::MetaVrpnObject Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1meta_1_1_meta_vrpn_object.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1meta_1_1_meta_vrpn_object-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::meta::MetaVrpnObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe haut niveau intégrant un objet VRPN.  
 <a href="classflair_1_1meta_1_1_meta_vrpn_object.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_vrpn_object_8h_source.html">MetaVrpnObject.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::meta::MetaVrpnObject:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1meta_1_1_meta_vrpn_object.png" usemap="#flair::meta::MetaVrpnObject_map" alt=""/>
  <map id="flair::meta::MetaVrpnObject_map" name="flair::meta::MetaVrpnObject_map">
<area href="classflair_1_1sensor_1_1_vrpn_object.html" title="Class for VRPN object. The IODevice is created with the VrpnClient as parent. VrpnClient must be crea..." alt="flair::sensor::VrpnObject" shape="rect" coords="0,112,165,136"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="0,56,165,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,165,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a68c5aa2b14d7d8eb4a5c600497dad65f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68c5aa2b14d7d8eb4a5c600497dad65f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaVrpnObject</b> (std::string name, <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="el" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">sensor::GetVrpnClient</a>())</td></tr>
<tr class="separator:a68c5aa2b14d7d8eb4a5c600497dad65f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fcca0684a4ff6127a35cb742840a671"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fcca0684a4ff6127a35cb742840a671"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaVrpnObject</b> (std::string name, uint8_t id, <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="el" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">sensor::GetVrpnClient</a>())</td></tr>
<tr class="separator:a2fcca0684a4ff6127a35cb742840a671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaceb43a7ea27eca33e1b81557669845"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaaceb43a7ea27eca33e1b81557669845"></a>
<a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>VxPlot</b> (void) const </td></tr>
<tr class="separator:aaaceb43a7ea27eca33e1b81557669845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a68c70ae9875540ccb2ffa935bea6fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a68c70ae9875540ccb2ffa935bea6fa"></a>
<a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>VyPlot</b> (void) const </td></tr>
<tr class="separator:a7a68c70ae9875540ccb2ffa935bea6fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a4f71a85b979f8f32596e72b8be545"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1a4f71a85b979f8f32596e72b8be545"></a>
<a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>VzPlot</b> (void) const </td></tr>
<tr class="separator:ab1a4f71a85b979f8f32596e72b8be545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b5d32cee1f95551b011bf342f812953"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b5d32cee1f95551b011bf342f812953"></a>
<a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html">gui::DataPlot2D</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>XyPlot</b> (void) const </td></tr>
<tr class="separator:a1b5d32cee1f95551b011bf342f812953"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec7417d42d58cc6e7e1dec789f442b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acec7417d42d58cc6e7e1dec789f442b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetSpeed</b> (<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> &amp;speed) const </td></tr>
<tr class="separator:acec7417d42d58cc6e7e1dec789f442b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1sensor_1_1_vrpn_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html">flair::sensor::VrpnObject</a></td></tr>
<tr class="memitem:a334e0f4266682bb0f95a81eb1bacca46 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a334e0f4266682bb0f95a81eb1bacca46">VrpnObject</a> (std::string name, const <a class="el" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab, <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="el" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">GetVrpnClient</a>())</td></tr>
<tr class="memdesc:a334e0f4266682bb0f95a81eb1bacca46 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a334e0f4266682bb0f95a81eb1bacca46">More...</a><br /></td></tr>
<tr class="separator:a334e0f4266682bb0f95a81eb1bacca46 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199dd7221f3330bfebe9b799c4c6036b inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a199dd7221f3330bfebe9b799c4c6036b">VrpnObject</a> (std::string name, uint8_t id, const <a class="el" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab, <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *client=<a class="el" href="namespaceflair_1_1sensor.html#a96c531aa24e6dd95ac9dc400d8e52b2c">GetVrpnClient</a>())</td></tr>
<tr class="memdesc:a199dd7221f3330bfebe9b799c4c6036b inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a199dd7221f3330bfebe9b799c4c6036b">More...</a><br /></td></tr>
<tr class="separator:a199dd7221f3330bfebe9b799c4c6036b inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f763c10994c9105bc24b3ab61f90afa inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa">~VrpnObject</a> (void)</td></tr>
<tr class="memdesc:a3f763c10994c9105bc24b3ab61f90afa inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3f763c10994c9105bc24b3ab61f90afa">More...</a><br /></td></tr>
<tr class="separator:a3f763c10994c9105bc24b3ab61f90afa inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab137dde2f6c3d1d8086dd886e1c539 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539">GetPlotTab</a> (void) const </td></tr>
<tr class="memdesc:a3ab137dde2f6c3d1d8086dd886e1c539 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plot tab.  <a href="#a3ab137dde2f6c3d1d8086dd886e1c539">More...</a><br /></td></tr>
<tr class="separator:a3ab137dde2f6c3d1d8086dd886e1c539 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa192e539d45cfebdcb258109f9136789 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#aa192e539d45cfebdcb258109f9136789">GetLastPacketTime</a> (void) const </td></tr>
<tr class="memdesc:aa192e539d45cfebdcb258109f9136789 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Last Packet Time.  <a href="#aa192e539d45cfebdcb258109f9136789">More...</a><br /></td></tr>
<tr class="separator:aa192e539d45cfebdcb258109f9136789 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a516210bba13f3df87da71dac8a494c20 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a516210bba13f3df87da71dac8a494c20">IsTracked</a> (unsigned int timeout_ms) const </td></tr>
<tr class="memdesc:a516210bba13f3df87da71dac8a494c20 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is object tracked?  <a href="#a516210bba13f3df87da71dac8a494c20">More...</a><br /></td></tr>
<tr class="separator:a516210bba13f3df87da71dac8a494c20 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2942cbbb898ba9d0d795b97ad3b9825f inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f">GetQuaternion</a> (<a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;quaternion) const </td></tr>
<tr class="memdesc:a2942cbbb898ba9d0d795b97ad3b9825f inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Quaternion.  <a href="#a2942cbbb898ba9d0d795b97ad3b9825f">More...</a><br /></td></tr>
<tr class="separator:a2942cbbb898ba9d0d795b97ad3b9825f inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64be708bbe70e22db77a465488e23c7c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c">GetPosition</a> (<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> &amp;point) const </td></tr>
<tr class="memdesc:a64be708bbe70e22db77a465488e23c7c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Position.  <a href="#a64be708bbe70e22db77a465488e23c7c">More...</a><br /></td></tr>
<tr class="separator:a64be708bbe70e22db77a465488e23c7c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb2763d80bfa502415a6153fc54ef3dd inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#aeb2763d80bfa502415a6153fc54ef3dd">Output</a> (void) const </td></tr>
<tr class="memdesc:aeb2763d80bfa502415a6153fc54ef3dd inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Output matrix.  <a href="#aeb2763d80bfa502415a6153fc54ef3dd">More...</a><br /></td></tr>
<tr class="separator:aeb2763d80bfa502415a6153fc54ef3dd inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae178376649f38cfe726d286bc653909c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#ae178376649f38cfe726d286bc653909c">State</a> (void) const </td></tr>
<tr class="memdesc:ae178376649f38cfe726d286bc653909c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">State matrix.  <a href="#ae178376649f38cfe726d286bc653909c">More...</a><br /></td></tr>
<tr class="separator:ae178376649f38cfe726d286bc653909c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497f45bf3c808c99df38efedfb1fb29a inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#a497f45bf3c808c99df38efedfb1fb29a">xPlot</a> (void) const </td></tr>
<tr class="memdesc:a497f45bf3c808c99df38efedfb1fb29a inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">x plot  <a href="#a497f45bf3c808c99df38efedfb1fb29a">More...</a><br /></td></tr>
<tr class="separator:a497f45bf3c808c99df38efedfb1fb29a inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6e2b048e6e5c74f03a5bf1d767e5819 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819">yPlot</a> (void) const </td></tr>
<tr class="memdesc:af6e2b048e6e5c74f03a5bf1d767e5819 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">y plot  <a href="#af6e2b048e6e5c74f03a5bf1d767e5819">More...</a><br /></td></tr>
<tr class="separator:af6e2b048e6e5c74f03a5bf1d767e5819 inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa913d9d717b7321cf9f4b4fe4ebb6b9c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html#aa913d9d717b7321cf9f4b4fe4ebb6b9c">zPlot</a> (void) const </td></tr>
<tr class="memdesc:aa913d9d717b7321cf9f4b4fe4ebb6b9c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">z plot  <a href="#aa913d9d717b7321cf9f4b4fe4ebb6b9c">More...</a><br /></td></tr>
<tr class="separator:aa913d9d717b7321cf9f4b4fe4ebb6b9c inherit pub_methods_classflair_1_1sensor_1_1_vrpn_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa325be57d48b268006120dde75dd65cc"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe haut niveau intégrant un objet VRPN. </p>
<p>Contient un objet VRPN et une dérivée, d'euler. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
